# $Revision: 1.43 $, $Date: 2012/06/21 10:10:38 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make tests"
%bcond_with	dynamic	# link libstdc++ and libgcc dynamically
#
Summary:	AppArmor userlevel parser utility
Summary(pl.UTF-8):	Narzędzie przestrzeni użytkownika do przetwarzania AppArmor
Name:		apparmor-parser
Version:	2.8.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
Source1:	%{name}.init
Patch0:		%{name}-pld.patch
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
# for apparmor_profile which links statically sometimes
%{!?with_dynamic:BuildRequires:	libstdc++-static}
BuildRequires:	perl-tools-pod
%if %{with tests}
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-Test-Harness
BuildRequires:	perl-tools-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppArmor Parser is a userlevel program that is used to load in program
profiles to the AppArmor Security kernel module. This package is part
of a suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
AppArmor Parser to program przestrzeni użytkownika służący do
wczytywania profili programów dla modułu bezpieczeństwa AppArmor jądra
Linuksa. Ten pakiet jest częścią zestawu narzędzi nazywanych
SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p0

%build
%{__make} -j1 -C parser \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=}

%if %{with tests}
%{__make} -j1 -C parser tests \
	CC="%{__cc}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=-lstdc++}
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd parser

install -d $RPM_BUILD_ROOT{%{_mandir}/man{5,7,8},%{_sysconfdir}/{apparmor,rc.d/init.d},/sbin,/subdomain,/var/lib/apparmor}

install apparmor_parser $RPM_BUILD_ROOT/sbin
install subdomain.conf $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install rc.apparmor.functions $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/apparmor
install *.5 $RPM_BUILD_ROOT%{_mandir}/man5
install *.7 $RPM_BUILD_ROOT%{_mandir}/man7
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%{__make} -j1 -C po install \
	DESTDIR=$RPM_BUILD_ROOT \
	NAME=%{name}

cd ..
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apparmor

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del apparmor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc parser/README
%attr(755,root,root) /sbin/apparmor_parser
%dir %{_sysconfdir}/apparmor
%{_sysconfdir}/apparmor/rc.apparmor.functions
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/subdomain.conf
%attr(754,root,root) /etc/rc.d/init.d/apparmor
/subdomain
/var/lib/apparmor
%{_mandir}/man5/apparmor.d.5*
%{_mandir}/man5/apparmor.vim.5*
%{_mandir}/man5/subdomain.conf.5*
%{_mandir}/man7/apparmor.7*
%{_mandir}/man8/apparmor_parser.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apparmor-parser.spec,v $
Revision 1.43  2012/06/21 10:10:38  arekm
- up to 2.8.0

Revision 1.42  2012/04/07 04:57:18  qboosh
- verbose man files
- GPL version

Revision 1.41  2012/04/06 19:49:54  qboosh
- added dynamic bcond

Revision 1.40  2012/04/05 20:49:54  arekm
- up to 2.7.2

Revision 1.39  2011/12/13 09:24:36  arekm
- release 5

Revision 1.38  2011/12/12 20:55:42  arekm
- rel 4; always try to use caching

Revision 1.37  2011/08/27 18:13:25  arekm
- rel 3; make profiles reloading work even if there is no free space on /tmp (from bzr)

Revision 1.36  2011/07/14 07:07:16  arekm
- BR libstdc++-static

Revision 1.35  2011/07/14 07:02:52  arekm
- rel 2; fix skipping unwanted profiles; allow to pass own options to parser

Revision 1.34  2011/04/01 07:31:36  arekm
- up to 2.6.1

Revision 1.33  2011/03/13 15:07:40  arekm
- up to 2.6.0

Revision 1.32  2010/08/04 13:10:58  arekm
- rel 6; more bzr fixes

Revision 1.31  2010/06/05 06:16:43  arekm
- rel 5; bzr fixes (including error filename:line number reportinf fix)

Revision 1.30  2010/06/01 06:08:44  arekm
- rel 4; bzr fixes

Revision 1.29  2010/05/13 17:38:28  sparky
- BR: libstdc++-devel

Revision 1.28  2010/03/17 20:11:49  arekm
- rel 3; init function fixes

Revision 1.27  2010/03/17 19:59:01  arekm
- rel 2; better init script (still needs work I guess)

Revision 1.26  2010/03/16 21:53:50  arekm
- install man pages

Revision 1.25  2010/03/16 21:46:40  arekm
- up to 2.5

Revision 1.24  2008/06/09 22:17:57  arekm
- up to 2.3.1286

Revision 1.23  2008-06-09 19:57:13  zbyniu
- limits.patch to build on old glibc (Ac)

Revision 1.22  2008-06-09 13:04:39  arekm
- up to 2.3 svn 1284; split all makefile target into smaller parts and don't build pdf/html docs

Revision 1.21  2008-06-08 10:13:47  arekm
- up to 1278

Revision 1.20  2008-06-06 12:59:46  arekm
- up to svn 1276

Revision 1.19  2008-05-29 20:53:55  arekm
- up to 1267 svn

Revision 1.18  2008-05-29 19:53:27  arekm
- BR perl-tools-devel

Revision 1.17  2008-05-29 18:18:42  arekm
- up to 2.1.2

Revision 1.16  2008-03-11 14:06:52  hawk
- BR: tetex-format-pdflatex, latex2html, release 1

Revision 1.15  2007-08-31 12:33:20  wolvverine
- up to 2.0.2.757

Revision 1.14  2007/04/13 23:56:21  zbyniu
- up to 2.0.2-566; epoch 1

Revision 1.13  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.11  2006/12/18 14:01:45  arekm
- bash is no longer required

Revision 1.10  2006/12/18 14:00:18  arekm
- run tests; portability fixes to initscript; small tweaks

Revision 1.9  2006/12/14 23:57:17  arekm
- R recent perl-Test-Harness version

Revision 1.8  2006/12/13 09:23:23  arekm
- always apply no-fdopendir

Revision 1.7  2006/12/12 22:36:27  arekm
- don't use fdopendir on ac

Revision 1.6  2006/12/12 15:44:39  arekm
- add init script

Revision 1.5  2006/12/12 01:00:01  arekm
- up to 2.0.150

Revision 1.4  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.3  2006/05/09 20:07:30  qboosh
- pl

Revision 1.2  2006/04/27 21:41:00  zbyniu
- 755 for exec

Revision 1.1  2006/04/26 21:41:51  zbyniu
- new
